libkysdk-system (2.5.1.2-0k0.3) nile; urgency=medium

  * BUG：无
  * 需求号：无
  * 其他改动说明：修改网卡有线/无线类型的获取方式
  * 其他改动影响域：无

 -- szm-min <shaozhimin@kylinos.cn>  Mon, 17 Jun 2024 09:17:19 +0800

libkysdk-system (2.5.1.2-0k0.2) nile; urgency=medium

  * BUG：#229044 【需求28161】系统显示信息获取模块-物理水平和垂直DPI与实际DPI值不一致
         #229297 【需求28161】系统显示信息获取模块-亮度-用例执行报段错误
  * 需求号：无
  * 其他改动说明：无
  * 其他改动影响域：无

 -- szm-min <shaozhimin@kylinos.cn>  Wed, 05 Jun 2024 11:33:40 +0800

libkysdk-system (2.5.1.2-0k0.1) nile; urgency=medium

  * BUG：无
  * 需求号：无
  * 其他改动说明：修改网卡的ipv6地址不存在时kdk_nc_get_ipv6接口返回NULL
                  修改虚包与子包的关系
                  去掉libkysdk-systemcommon依赖
  * 其他改动影响域：无

 -- szm-min <shaozhimin@kylinos.cn>  Wed, 05 Jun 2024 11:24:47 +0800

libkysdk-system (2.5.1.2-0k0.0) nile; urgency=medium

  * BUG：#230840 【SDK】连接手机蓝牙设备后执行二进制文件执行异常
  * 需求号：无
  * 其他改动说明：无
  * 其他改动影响域：无

 -- szm-min <shaozhimin@kylinos.cn>  Fri, 24 May 2024 16:25:37 +0800

libkysdk-system (2.5.1.1-0k0.0) nile; urgency=medium

  * BUG：#230622 【SDK】存储模块接口执行二进制文件解析指定文件的符号链接报段错误
         #230621 【SDK】存储模块接口执行二进制文件无法获取火狐浏览器配置文件
  * 需求号：无
  * 其他改动说明：修复蓝牙模块段错误
  * 其他改动影响域：无

 -- szm-min <shaozhimin@kylinos.cn>  Thu, 23 May 2024 20:24:53 +0800

libkysdk-system (2.5.1.0-0k0.0) nile; urgency=medium

  * BUG：无
  * 需求号：无
  * 其他改动说明：新增存储模块接口
                  新增蓝牙模块接口
  * 其他改动影响域：无

 -- szm-min <shaozhimin@kylinos.cn>  Wed, 22 May 2024 10:51:51 +0800

libkysdk-system (2.4.1.0-0k1.9) nile; urgency=medium

  * BUG：无
  * 需求号：无
  * 其他改动说明：修改control文件中ocr模块中opencv依赖版本
  * 其他改动影响域：无

 -- szm-min <shaozhimin@kylinos.cn>  Thu, 23 May 2024 15:17:49 +0800

libkysdk-system (2.4.1.0-0k1.8) nile; urgency=medium

  * BUG：无
  * 需求号：无
  * 其他改动说明：修复智能数据管理适配时发现的相关问题
  * 其他改动影响域：文件监听、日期处理

 -- Yue Lan <lanyue@kylinos.cn>  Thu, 23 May 2024 12:51:30 +0800

libkysdk-system (2.4.1.0-0k1.7) nile; urgency=medium

  * BUG：#223966 【整机-联想开天】【X1】【2403】kysdk-systime.service服务影响开机启动时间【5.4.18-110-generic】
         #227169 【系统登录】英文环境下登录/锁屏界面日期的“日”，没有适配长格式
         #227186 系统显示信息获取模块-亮度-命令执行获取亮度值与控制面板设置值不一致
         #226526 GuestOS支持第三方管控的单点登录功能对接-异常场景密码设置低于8位时输出异常
  * 需求号：无
  * 其他改动说明：无
  * 其他改动影响域：无

 -- szm-min <shaozhimin@kylinos.cn>  Fri, 17 May 2024 17:18:51 +0800

libkysdk-system (2.4.1.0-0k1.6) nile; urgency=medium

  * BUG：无
  * 需求号：无
  * 其他改动说明：修改当前CPU使用率段错误
  * 其他改动影响域：无

 -- szm-min <shaozhimin@kylinos.cn>  Tue, 30 Apr 2024 09:49:07 +0800

libkysdk-system (2.4.1.0-0k1.5) nile; urgency=medium

  * BUG：无
  * 需求号：无
  * 其他改动说明：解决网卡中的获取广播地址接口段错误
  * 其他改动影响域：无

 -- szm-min <shaozhimin@kylinos.cn>  Sun, 28 Apr 2024 17:28:16 +0800

libkysdk-system (2.4.1.0-0k1.4) nile; urgency=medium

  * BUG：无
  * 需求号：无
  * 其他改动说明：解决网卡中的获取子网掩码接口段错误
  * 其他改动影响域：无

 -- szm-min <shaozhimin@kylinos.cn>  Sun, 28 Apr 2024 17:28:16 +0800

libkysdk-system (2.4.1.0-0k1.3) nile; urgency=medium

  * BUG：无
  * 需求号：无
  * 其他改动说明：解决网卡段错误
  * 其他改动影响域：无

 -- szm-min <shaozhimin@kylinos.cn>  Fri, 26 Apr 2024 09:01:15 +0800

libkysdk-system (2.4.1.0-0k1.2) nile; urgency=medium

  * BUG：#223548 【需求28161】【单元测试】kyedid显示信息获取模块获取出现段错误
  * 需求号：无
  * 其他改动说明：无
  * 其他改动影响域：无

 -- szm-min <shaozhimin@kylinos.cn>  Tue, 23 Apr 2024 16:22:33 +0800

libkysdk-system (2.4.1.0-0k1.1) nile; urgency=medium

  * BUG：#223548 【需求28161】【单元测试】kyedid显示信息获取模块获取出现段错误
  * 需求号：无
  * 其他改动说明：无
  * 其他改动影响域：无

 -- szm-min <shaozhimin@kylinos.cn>  Sat, 20 Apr 2024 10:35:56 +0800

libkysdk-system (2.4.1.0-0k1.0) nile; urgency=medium

  * BUG：无
  * 需求号：#28161 【好用工程】实现Win32API中，系统电源信息获取和显示信息获取模块的平替
  * 其他改动说明：删除kysdk-dbus中的网络改变信号
  * 其他改动影响域：无

 -- szm-min <shaozhimin@kylinos.cn>  Fri, 12 Apr 2024 18:15:12 +0800

libkysdk-system (2.4.1.0-0k0.4) nile; urgency=medium

  * BUG：#223550 【SDK】高版本libkysdk-disk与低版本libkysdk-system-dbus磁盘demo输出阻塞 和增加control依赖
         #221268 【需求28160】实现Win32API-网络管理模块接口运行时dbus报错
         #221302 【需求28507】运行kyaccounts-test二进制脚本时报密码输入错误，无法更改密码
         #221402 【需求28508】用户切换信息打印异常
         #221336 【需求28160】 运行网卡信息获取二进制脚本时报段错误
         #221997 【需求27525】【语言和地区】英文下设置12小时制，语言格式预览处上下午未翻译完全
  * 需求号：无
  * 其他改动说明：修改libkysdk-location包的postinst文件
  * 其他改动影响域：无

 -- szm-min <shaozhimin@kylinos.cn>  Mon, 22 Apr 2024 20:22:17 +0800

libkysdk-system (2.4.1.0-0k0.3) nile; urgency=medium

  * BUG：无
  * 需求号：无
  * 其他改动说明：源码包内增加libkysdk-battery二进制包
  * 其他改动影响域：无

 -- szm-min <shaozhimin@kylinos.cn>  Wed, 03 Apr 2024 17:44:18 +0800

libkysdk-system (2.4.1.0-0k0.2) nile; urgency=medium

  * BUG：无
  * 需求号：无
  * 其他改动说明：增加libusb-1.0-0依赖
  * 其他改动影响域：无

 -- szm-min <shaozhimin@kylinos.cn>  Tue, 02 Apr 2024 16:15:00 +0800

libkysdk-system (2.4.1.0-0k0.1) nile; urgency=medium

  * BUG：无
  * 需求号：无
  * 其他改动说明：增加libusb-1.0-0依赖
  * 其他改动影响域：无
 -- szm-min <shaozhimin@kylinos.cn>  Wed, 03 Apr 2024 09:31:43 +0800

libkysdk-system (2.4.1.0-0k0.0) nile; urgency=medium

  * BUG：无
  * 需求号：#28159 【好用工程】实现Win32API中，电池管理和usb管理模块的平替
            #28160 【好用工程】实现Win32API中，应用信息获取和网络管理模块的平替
            #28507 GuestOS支持第三方管控的单点登录功能对接
            #28509 【接口定制】建行银行安全管控新增接口定制需求
            #25201 桌面注销状态查询接口
  * 其他改动说明：部分接口提权
                  修改自测内存泄漏
                  新增磁盘信息、系统信息、硬件信息中的显卡信息、主板信息、网络信息和瞬时信息获取的dbus接口
                  ocr增加i386架构编译
  * 其他改动影响域：无
 -- szm-min <shaozhimin@kylinos.cn>  Tue, 02 Apr 2024 09:29:30 +0800

libkysdk-system (2.4.0.0-0k1.2) nile; urgency=medium

  * BUG:无
  * 需求号：无
  * 其他改动说明:解决控制面板设置长短格式不生效问题
  * 其他改动影响域：无

 -- szm-min <shaozhimin@kylinos.cn>  Fri, 08 Mar 2024 09:19:19 +0800

libkysdk-system (2.4.0.0-0k1.1) nile; urgency=medium

  * BUG:无
  * 需求号：26155  提供活跃用户的sdk接口
  * 其他改动说明:解决日期模块崩溃问题
  * 其他改动影响域：无

 -- szm-min <shaozhimin@kylinos.cn>  Tue, 05 Mar 2024 15:38:23 +0800

libkysdk-system (2.3.0.0-0k5.2) nile; urgency=medium

  * BUG:无
  * 需求号：无
  * 其他改动说明:回退需求#26155，提供活跃用户的sdk接口的内容
  * 其他改动影响域：无

 -- szm-min <shaozhimin@kylinos.cn>  Thu, 29 Feb 2024 16:08:12 +0800

libkysdk-system (2.3.0.0-0k5.1) nile; urgency=medium

  * BUG:无
  * 需求号：无
  * 其他改动说明:更新symbols
  * 其他改动影响域：无

 -- szm-min <shaozhimin@kylinos.cn>  Thu, 29 Feb 2024 16:08:12 +0800

libkysdk-system (2.3.0.0-0k5.0) nile; urgency=medium

  * BUG:无
  * 需求号：26155  提供活跃用户的sdk接口
  * 其他改动说明:无
  * 其他改动影响域：无

 -- tian-shaoshuai <tianshaoshuai@kylinos.cn>  Thu, 29 Feb 2024 14:52:03 +0800

libkysdk-system (2.3.0.0-0k4.7) nile; urgency=medium

  * BUG:无
  * 需求号：无
  * 其他改动说明:添加symbols文件
  * 其他改动影响域：无

 -- szm-min <shaozhimin@kylinos.cn>  Wed, 27 Dec 2023 09:20:02 +0800

libkysdk-system (2.3.0.0-0k4.6) nile; urgency=medium

  * BUG:无
  * 需求号：无
  * 其他改动说明:移除对老旧C++的依赖
  * 其他改动影响域：无

 -- szm-min <shaozhimin@kylinos.cn>  Wed, 20 Dec 2023 17:12:29 +0800

libkysdk-system (2.3.0.0-0k4.5) nile; urgency=medium

  * BUG:205642
  * 需求号：无
  * 其他改动说明:无
  * 其他改动影响域：无

 -- szm-min <shaozhimin@kylinos.cn>  Thu, 14 Dec 2023 17:43:59 +0800

libkysdk-system (2.3.0.0-0k4.4) nile; urgency=medium

  * BUG:无
  * 需求号：无
  * 其他改动说明:修改编译错误，去掉strlcpy静态声明
  * 其他改动影响域：无

 -- szm-min <shaozhimin@kylinos.cn>  Thu, 07 Dec 2023 14:22:58 +0800

libkysdk-system (2.3.0.0-0k4.3) nile; urgency=medium

  * BUG:203892
  * 需求号：无
  * 其他改动说明:无  
  * 其他改动影响域：无

 -- szm-min <shaozhimin@kylinos.cn>  Wed, 29 Nov 2023 15:45:11 +0800

libkysdk-system (2.3.0.0-0k4.2) nile; urgency=medium

  * BUG:无
  * 需求号：无
  * 其他改动说明:修改pc文件和动态库版本  
  * 其他改动影响域：无

 -- szm-min <shaozhimin@kylinos.cn>  Wed, 29 Nov 2023 10:38:30 +0800

libkysdk-system (2.3.0.0-0k4.1) nile; urgency=medium

  * BUG:无
  * 需求号：无
  * 其他改动说明:解决i386动态库路径与加载路径不一致问题  
  * 其他改动影响域：无

 -- szm-min <shaozhimin@kylinos.cn>  Mon, 20 Nov 2023 10:18:10 +0800

libkysdk-system (2.3.0.0-0k4.0) nile; urgency=medium

  * BUG:无
  * 需求号：24691 新增多语言支持：维、哈、柯、蒙、藏、繁体
  * 其他改动说明:无
  * 其他改动影响域：无

 -- szm-min <shaozhimin@kylinos.cn>  Mon, 13 Nov 2023 11:22:56 +0800

libkysdk-system (2.3.0.0-0k3.2) nile; urgency=medium

  * BUG:无
  * 需求号：无
  * 其他改动说明:修改相对日期转为绝对日期接口缺陷
  * 其他改动影响域：无

 -- szm-min <shaozhimin@kylinos.cn>  Fri, 03 Nov 2023 19:13:44 +0800

libkysdk-system (2.3.0.0-0k3.1) nile; urgency=medium

  * BUG:无
  * 需求号：无
  * 其他改动说明:修改日期格式接口缺陷
  * 其他改动影响域：无

 -- szm-min <shaozhimin@kylinos.cn>  Fri, 03 Nov 2023 14:33:05 +0800

libkysdk-system (2.3.0.0-0k3.0) nile; urgency=medium

  * BUG:无
  * 需求号：23635 【桌面环境】【文管浏览体验升级】默认显示相对日期，允许用户切换到绝对日期
  * 其他改动说明:无
  * 其他改动影响域：无

 -- szm-min <shaozhimin@kylinos.cn>  Mon, 30 Oct 2023 15:32:27 +0800

libkysdk-system (2.3.0.0-0k2.6) nile; urgency=medium

  * BUG:19841
  * 需求号：无
  * 其他改动说明:无
  * 其他改动影响域：无

 -- szm-min <shaozhimin@kylinos.cn>  Mon, 30 Oct 2023 15:03:01 +0800

libkysdk-system (2.3.0.0-0k2.5) nile; urgency=medium

  * BUG:198380 198378 198370 198429
  * 需求号：无
  * 其他改动说明:无
  * 其他改动影响域：无

 -- szm-min <shaozhimin@kylinos.cn>  Mon, 30 Oct 2023 14:27:06 +0800

libkysdk-system (2.3.0.0-0k2.4) yangtze; urgency=medium

  * BUG:无
  * 需求号：无
  * 其他改动说明:修改动态库路径到对应的架构下
  * 其他改动影响域：无

 -- szm-min <shaozhimin@kylinos.cn>  Fri, 20 Oct 2023 14:53:54 +0800

libkysdk-system (2.3.0.0-0k2.3) yangtze; urgency=medium

  * BUG:无
  * 需求号：无
  * 其他改动说明:修改kyrealtime模块中获取上传/下载网速的实现
  * 其他改动影响域：无

 -- szm-min <shaozhimin@kylinos.cn>  Wed, 18 Oct 2023 16:05:10 +0800

libkysdk-system (2.3.0.0-0k2.2) yangtze; urgency=medium

  * BUG:无
  * 需求号：无
  * 其他改动说明:补充libkysdk-realtime和libkysdk-imageproc依赖，解决依赖不满足问题
  * 其他改动影响域：无

 -- szm-min <shaozhimin@kylinos.cn>  Fri, 13 Oct 2023 16:25:36 +0800

libkysdk-system (2.3.0.0-0k2.1) yangtze; urgency=medium

  * BUG:无
  * 需求号：无
  * 其他改动说明:规避文件路径注入风险和修改获取登陆用户名和登录时间的实现方法
  * 其他改动影响域：无

 -- szm-min <shaozhimin@kylinos.cn>  Fri, 13 Oct 2023 15:08:34 +0800

libkysdk-system (2.3.0.0-0k2.0) yangtze; urgency=medium

  * BUG:无
  * 需求号：15191 【设计】【系统监视器】增加处理器/内存/网络详细信息展示
  * 其他改动说明:无
  * 其他改动影响域：无

 -- szm-min <shaozhimin@kylinos.cn>  Wed, 11 Oct 2023 16:41:14 +0800

libkysdk-system (2.3.0.0-0k1.0) yangtze; urgency=medium

  * BUG:无
  * 需求号：174345 子 进行开发工作--需求id23968 / kysdk-system 蒙古文、繁体版本翻译支持
  * 其他改动说明:无
  * 其他改动影响域：无

 -- szm-min <shaozhimin@kylinos.cn>  Wed, 11 Oct 2023 16:41:14 +0800

libkysdk-system (2.3.0.0-0k0.0) yangtze; urgency=medium

  *Bug号：
  *需求号：23985 SDK文档完善
           23907 GPU异构计算（JPEG优化）
  *其他修改：修复打印和usb部分因为拆分动态库导致的兼容性问题

 -- szm-min <shaozhimin@kylinos.cn>  Wed, 11 Oct 2023 11:43:06 +0800

libkysdk-system (2.2.3.5-0k0.16) yangtze; urgency=medium

  *Bug号：
  *需求号：
  *其他修改：修复打印和usb部分因为拆分动态库导致的兼容性问题

 -- szm-min <shaozhimin@kylinos.cn>  Wed, 11 Oct 2023 09:43:29 +0800

libkysdk-system (2.2.3.5-0k0.15) yangtze; urgency=medium

  *Bug号：
  *需求号：
  *其他修改：libysdk-system在openkylin上编包安装报错
            libkysdk-location包内定义的依赖不足导致安装或运行失败

 -- szm-min <shaozhimin@kylinos.cn>  Mon, 25 Sep 2023 15:09:24 +0800

libkysdk-system (2.2.3.5-0k0.14) yangtze; urgency=medium

  *Bug号：190186 【日历】修改系统语言为英文，重启进入系统后任务栏日历显示三
  *需求号：
  *其他修改：

 -- szm-min <shaozhimin@kylinos.cn>  Tue, 05 Sep 2023 17:19:20 +0800

libkysdk-system (2.2.3.5-0k0.13) yangtze; urgency=medium

  *Bug号：
  *需求号：
  *其他修改：kyrealtime增加c++接口

 -- tianshaoshuai <tianshaoshuai@kylinos.cn>  Thu, 31 Aug 2023 15:38:00 +0800

libkysdk-system (2.2.3.5-0k0.12) yangtze; urgency=medium

  *Bug号：190215 【走查】sdk时间格式切换未实时变化
  *需求号：
  *其他修改：

 -- szm-min <shaozhimin@kylinos.cn>  Wed, 30 Aug 2023 16:56:09 +0800

libkysdk-system (2.2.3.5-0k0.11) yangtze; urgency=medium

  *Bug号：187435 【可信开发试点】libkysdk-system 缓冲区溢出类安全编码问题整改
  *需求号：
  *其他修改：

 -- szm-min <shaozhimin@kylinos.cn>  Mon, 21 Aug 2023 09:10:09 +0800

libkysdk-system (2.2.3.5-0k0.10) yangtze; urgency=medium

  *Bug号：
  *需求号：
  *其他修改：拆分libkysdk-hardware的动态库

 -- szm-min <shaozhimin@kylinos.cn>  Fri, 11 Aug 2023 17:07:47 +0800

libkysdk-system (2.2.3.5-0k0.9) yangtze; urgency=medium

  *Bug号：185309
  *需求号：
  *其他修改：

 -- szm-min <shaozhimin@kylinos.cn>  Thu, 03 Aug 2023 10:07:56 +0800

libkysdk-system (2.2.3.5-0k0.8) yangtze; urgency=medium

  *Bug号：184351 184469
  *需求号：
  *其他修改：

 -- szm-min <shaozhimin@kylinos.cn>  Tue, 01 Aug 2023 10:29:00 +0800

libkysdk-system (2.2.3.5-0k0.7) yangtze; urgency=medium

  *Bug号：181529 184238 180502 184351
  *需求号：
  *其他修改：

 -- szm-min <shaozhimin@kylinos.cn>  Fri, 28 Jul 2023 11:05:21 +0800

libkysdk-system (2.2.3.5-0k0.6) yangtze; urgency=medium

  *Bug号：
  *需求号：
  *其他修改：修改control文件中的libgcc-s1为libgcc-s1 | libgcc1

 -- szm-min <shaozhimin@kylinos.cn>  Thu, 13 Jul 2023 17:15:13 +0800

libkysdk-system (2.2.3.5-0k0.5) yangtze; urgency=medium

  *Bug号：182247 182216
  *需求号：
  *其他修改：

 -- szm-min <shaozhimin@kylinos.cn>  Thu, 13 Jul 2023 15:13:01 +0800

libkysdk-system (2.2.3.5-0k0.4) yangtze; urgency=medium

  *Bug号：180900 181529 180559 180720 180431 180097 180715 182069
  *需求号：
  *其他修改：删除shlibs自动补全依赖
            pc文件添加kysdk-base路径

 -- szm-min <shaozhimin@kylinos.cn>  Tue, 11 Jul 2023 17:33:13 +0800

libkysdk-system (2.2.3.5-0k0.3) yangtze; urgency=medium

  *Bug号：
  *需求号：
  *其他修改：159242 子 【蒙古文版本】蒙古文版本翻译未生效问题 / kysdk-system 蒙古文版本翻译未生效问题

 -- szm-min <shaozhimin@kylinos.cn>  Wed, 28 Jun 2023 11:36:40 +0800

libkysdk-system (2.2.3.5-0k0.2) yangtze; urgency=medium

  *Bug号：
  *需求号：
  *其他修改：新增时间格式转化接口，新增释放时间信息结构体接口，新增监听时间格式修改信号

 -- szm-min <shaozhimin@kylinos.cn>  Mon, 26 Jun 2023 09:46:05 +0800

libkysdk-system (2.2.3.5-0k0.1) yangtze; urgency=medium

  *Bug号：177509 177506 177433 177277 174728 173896 173630
  *需求号：
  *其他修改：新增的获取长格式接口，获取短格式接口，长格式转化接口，短格式转化接口，
            获取登录锁屏的时间,星期,长格式日期接口和监听日期长格式修改信号，监听日期短格式修改信号

 -- szm-min <shaozhimin@kylinos.cn>  Tue, 20 Jun 2023 20:17:01 +0800

libkysdk-system (2.2.3.5-0k0.0) yangtze; urgency=medium

  *Bug号：173922
  *需求号：
  *其他修改：

 -- szm-min <shaozhimin@kylinos.cn>  Mon, 19 Jun 2023 15:03:49 +0800

libkysdk-system (2.2.3.4-0k0.0) yangtze; urgency=medium

  *Bug号：176848 176822
  *需求号：
  *其他修改：

 -- szm-min <shaozhimin@kylinos.cn>  Thu, 15 Jun 2023 11:20:54 +0800

libkysdk-system (2.2.3.3-0k0.0) yangtze; urgency=medium

  *Bug号：
  *需求号：
  *其他修改：修改获取系统版本号返回值

 -- szm-min <shaozhimin@kylinos.cn>  Tue, 13 Jun 2023 11:09:24 +0800

libkysdk-system (2.2.3.2-0k0.0) yangtze; urgency=medium

  *Bug号：176545
  *需求号：
  *其他修改：

 -- szm-min <shaozhimin@kylinos.cn>  Tue, 13 Jun 2023 11:09:24 +0800

libkysdk-system (2.2.3.1-0k0.0) yangtze; urgency=medium

  *Bug号：173381 173659 173937 173669 173922 173929 173235 
          173239 173246 173630 173638 173737 173759 173761 
          173896 173943 173977 173990 174008 174058 174636 
          174637 174714 174717 174728 174841 174955 174963 
          174973 174979 175096 
  *需求号：
  *其他修改：

 -- szm-min <shaozhimin@kylinos.cn>  Mon, 12 Jun 2023 16:39:36 +0800

libkysdk-system (2.2.3.0-0k0.0test1) yangtze; urgency=medium

  *Bug号：
  *需求号：
  *其他修改：任务#155563 子 【SDK】教育版 - 读取相关文件并提供查询接口 / 【SDK】教育版 - 读取相关文件并提供查询接口

 -- szm-min <shaozhimin@kylinos.cn>  Wed, 07 Jun 2023 09:56:48 +0800

libkysdk-system (2.2.2.0-0k0.0) yangtze; urgency=medium

  *Bug号：
  *需求号：22479 麒麟桌面环境SDK增加天翼云接口判断
  *其他修改：

 -- szm-min <shaozhimin@kylinos.cn>  Tue, 30 May 2023 11:31:37 +0800

libkysdk-system (2.2.1.0-0k0.0) yangtze; urgency=medium

  *Bug号：
  *需求号：21596 22503 17127 17123
  *其他修改：

 -- szm-min <shaozhimin@kylinos.cn>  Wed, 24 May 2023 10:54:37 +0800

libkysdk-system (2.1.1.0-0k0.1) yangtze; urgency=medium

  *Bug号： 170768 170726 170633 170703
  *需求号：
  *其他修改：

 -- tianshaoshuai <tianshaoshuai@kylinos.cn>  Tue, 16 May 2023 20:34:07 +0800

libkysdk-system (2.1.1.0-0k0.1) yangtze; urgency=medium

  * No change rebuild for openkylin. 

 -- Luoyaoming <luoyaoming@kylinos.cn>  Thu, 11 May 2023 15:55:20 +0800

libkysdk-system (2.1.1.0-0k0.0) yangtze; urgency=medium

  *Bug号：
  *需求号：21847 新增获取显示系统版本类别接口
  *其他修改：

 -- szm-min <shaozhimin@kylinos.cn>  Mon, 24 Apr 2023 21:13:59 +0800
 
libkysdk-system (2.0.0.0-ok9) yangtze; urgency=medium

  *Bug号：
  *需求号：
  *其他修改：修改realtime模块的实现方法
          
 -- szm-min <shaozhimin@kylinos.cn>  Tue, 04 Apr 2023 10:01:00 +0800

libkysdk-system (2.0.0.0-ok8) yangtze; urgency=medium

  *Bug号：
  *需求号：
  *其他修改：修改编译错误
          
 -- szm-min <shaozhimin@kylinos.cn>  Mon, 03 Apr 2023 11:41:11 +0800

libkysdk-system (2.0.0.0-ok7) yangtze; urgency=medium

  *Bug号：
  *需求号：
  *其他修改：合并主线2.0.0.0-0k0.1~2.0.0.0-0k0.14版本到openkylin
          
 -- szm-min <shaozhimin@kylinos.cn>  Mon, 03 Apr 2023 10:57:11 +0800

libkysdk-system (2.0.0.0-ok6) yangtze; urgency=medium

  *Bug号：
  *需求号：
  *其他修改：修改hardware的pc文件
            修改hardware的CmakeLists文件  
            修改control文件中hardware依赖
          
 -- szm-min <shaozhimin@kylinos.cn>  Thu, 27 Oct 2022 15:32:30 +0800

libkysdk-system (2.0.0.0-ok5) yangtze; urgency=medium

  *Bug号：
  *需求号：
  *其他修改：修改systime的postinst文件
            修改control文件中dev包的架构为all
          
 -- szm-min <shaozhimin@kylinos.cn>  Thu, 27 Oct 2022 15:32:30 +0800

libkysdk-system (2.0.0.0-ok4) yangtze; urgency=medium

  *Bug号：
  *需求号：
  *其他修改：update control
          
 -- szm-min <shaozhimin@kylinos.cn>  Thu, 20 Oct 2022 19:22:40 +0800

libkysdk-system (2.0.0.0-ok3) yangtze; urgency=medium

  *Bug号：
  *需求号：
  *其他修改：[新增] 新增获取多个端口状态及防火墙状态接口
          [新增] 新增获取磁盘转速接口
          [新增] 新增获取地理位置信息接口
          [新增] 获取本地打印机列表/获取可用打印机列表
          [新增] 设置打印参数
		      [新增] 下载网络文件到本地
		      [新增] 打印本地文件
          [新增] 获取打印机的状态
          [新增] 获取打印任务的状态
          [新增] 清除某个打印机的所有打印队列
          [新增] 从url中获取文件名的接口
          
 -- szm-min <shaozhimin@kylinos.cn>  Thu, 20 Oct 2022 19:22:40 +0800

libkysdk-system (2.0.0.0-ok2) yangtze; urgency=medium

  *Bug号：
  *需求号：
  *其他修改：修改control文件

 -- szm-min <shaozhimin@kylinos.cn>  Fri, 18 Oct 2022 09:22:40 +0800

libkysdk-system (2.0.0.0-ok1) yangtze; urgency=medium

  *Bug号：
  *需求号：
  *其他修改：[新增] 新增获取网卡有线无线类型厂家信息、以及模块信息接口
          [新增] 新增获取bios信息接口
          [新增] 新增获取主板信息接口
          [新增] 新增获取网关信息，获取指定端口状态接口
          [新增] 新增获取系统中usb设备信息接口
          [新增] 新增获取cpu温度，获取指定硬盘温度，获取瞬时网速接口
          [新增] 新增获取分辨率接口
          [新增] 新增根据进程号获取进程信息接口，根据进程名获取进程信息接口，获取进程全部信息接口
          [修改] 新增获取磁盘信息接口

 -- szm-min <shaozhimin@kylinos.cn>  Fri, 17 Oct 2022 09:22:40 +0800

libkysdk-system (1.2.1.1) yangtze; urgency=medium

  *Bug号：134984,134990,125178,133854
  *需求号：
  *其他修改：ocr增加RISC-V架构编译
            control文件指定与base相关包的的依赖版本号

 -- szm-min <shaozhimin@kylinos.cn>  Tue, 23 Aug 2022 09:22:40 +0800

libkysdk-system (1.2.1.0build3test3) yangtze; urgency=medium

  * 【修改】RISC-V架构编译错误

 -- szm-min <shaozhimin@kylinos.cn>  Tue, 09 Aug 2022 16:58:50 +0800

libkysdk-system (1.2.1-ok2) yangtze; urgency=medium

  * 【修改】ocr增加RISC-V架构编译

 -- szm-min <shaozhimin@kylinos.cn>  Thu, 04 Aug 2022 16:52:56 +0800

libkysdk-system (1.2.1-ok1) yangtze; urgency=medium

  * 升级版本号

 -- szm-min <shaozhimin@kylinos.cn>  Tue, 02 Aug 2022 09:33:58 +0800

libkysdk-system (1.2.0kylin4-ok4~0720) yangtze; urgency=medium

  * 合并主线v1.2.1到openkylin

 -- szm-min <shaozhimin@kylinos.cn>  Wed, 20 Jul 2022 16:38:46 +0800

libkysdk-system (1.2.0kylin4-ok3~0627) yangtze; urgency=medium

  * fix bug#125453,控制面板账户模块缺少"账户信息"设置项

 -- Kevin Duan <duankaiwen@kylinos.cn>  Mon, 13 Jun 2022 17:52:39 +0800

libkysdk-system (1.2.0kylin4-ok1) yangtze; urgency=medium

  * Update

 -- Kevin Duan <duankaiwen@kylinos.cm>  Mon, 13 Jun 2022 15:54:20 +0800
